<?php
require "../../../../wp-load.php";
header('Content-Type: application/json');

!defined('ABSPATH') and exit;

if(!current_user_can('administrator')) {
    die('{"status": "'.esc_html__('Permission error', 'mtnft').'"}');
}

global $wp_filesystem;

if (empty($wp_filesystem)) {
    require_once (ABSPATH . '/wp-admin/includes/file.php');
    WP_Filesystem();
}

$raw_post_data =  $wp_filesystem->get_contents('php://input');

if(empty($raw_post_data)) {
    echo json_encode(get_option('mtnft'));

} else {
    update_option('mtnft', json_decode($raw_post_data,true));
    var_dump(get_option('mtnft'));
    echo json_encode(['status' => "success"]);
}
