<?php
header('Content-Type: application/json');
require "../../../../wp-load.php";

if(!current_user_can('administrator')) {
    die('{"status": "'.esc_html__('Permission error', 'mtnft').'"}');
}

$translations = [
    'Prerequisites' => esc_html__('Prerequisites', 'mtnft'),
    'Complete form to search for NFTs.' => esc_html__('Complete form to search for NFTs.', 'mtnft'),
    'Handpick' => esc_html__('Handpick', 'mtnft'),
    'Select NFTs from results.' => esc_html__('Select NFTs from results.', 'mtnft'),
    'Import' => esc_html__('Import', 'mtnft'),
    'Wait for NFTs to import.' => esc_html__('Wait for NFTs to import.', 'mtnft'),
    'NFT Importer' => esc_html__('NFT Importer', 'mtnft'),
    'Application Settings' => esc_html__('Application Settings', 'mtnft'),
    'Save' => esc_html__('Save', 'mtnft'),
    'Cancel' => esc_html__('Cancel', 'mtnft'),
    'Settings' => esc_html__('Settings', 'mtnft'),
    'Filter your search.' => esc_html__('Filter your search.', 'mtnft'),
    'Filter by' => esc_html__('Filter by', 'mtnft'),
    'Order by' => esc_html__('Order by', 'mtnft'),
    'Order Direction' => esc_html__('Order Direction', 'mtnft'),
    'Offset' => esc_html__('Offset', 'mtnft'),
    'Limit' => esc_html__('Limit', 'mtnft'),
    'Select one item from below.' => esc_html__('Select one item from below.', 'mtnft'),
    'What do you want to filter by?' => esc_html__('What do you want to filter by?', 'mtnft'),
    'Chain' => esc_html__('Chain', 'mtnft'),
    'The blockchain on which to filter the results' => esc_html__('The blockchain on which to filter the results', 'mtnft'),
    'Owner Address' => esc_html__('Owner Address', 'mtnft'),
    'Collection Slug' => esc_html__('Collection Slug', 'mtnft'),
    'Contract Address' => esc_html__('Contract Address', 'mtnft'),
    'How to order the assets returned. By default, the API returns the fastest ordering.' => esc_html__('How to order the assets returned. By default, the API returns the fastest ordering.', 'mtnft'),
    'Sale Date' => esc_html__('Sale Date', 'mtnft'),
    'Sale Count' => esc_html__('Sale Count', 'mtnft'),
    'Sale Price (Disabled on Opensea)' => esc_html__('Sale Price (Disabled on Opensea)', 'mtnft'),
    'Ascendent' => esc_html__('Ascendent', 'mtnft'),
    'Descendent' => esc_html__('Descendent', 'mtnft'),
    'Assets that you want to skip from importing again.' => esc_html__('Assets that you want to skip from importing again.', 'mtnft'),
    'The maximum assets you want to import.' => esc_html__('The maximum assets you want to import.', 'mtnft'),
    'Maximum 300 per import. We recommend to leave it on default.' => esc_html__('Maximum 300 per import. We recommend to leave it on default.', 'mtnft'),
    'Next' => esc_html__('Next', 'mtnft'),
    'The address of the owner of the assets. Ex: 0x495f947276749ce646f68ac8c248420045cb7b5e' => esc_html__('The address of the owner of the assets. Ex: 0x495f947276749ce646f68ac8c248420045cb7b5e', 'mtnft'),
    'Limit responses to members of a collection. Case sensitive and must match the collection slug exactly.' => esc_html__('Limit responses to members of a collection. Case sensitive and must match the collection slug exactly.', 'mtnft'),
    'Contract Address(es)' => esc_html__('Contract Address(es)', 'mtnft'),
    'The NFT contract address for the assets.' => esc_html__('The NFT contract address for the assets.', 'mtnft'),
    'Get your key from' => esc_html__('Get your key from', 'mtnft'),
    'here' => esc_html__('here', 'mtnft'),
    'Your address should look like: 0x86758d1c5ab95ff324f7e0b2cdec38c86eebe768, and you can find it on your profile under your name or url bar.' => esc_html__('Your address should look like: 0x86758d1c5ab95ff324f7e0b2cdec38c86eebe768, and you can find it on your profile under your name or url bar.', 'mtnft'),
    'Settings have been saved!' => esc_html__('Settings have been saved!', 'mtnft'),
    'Nothing found' => esc_html__('Nothing found', 'mtnft'),
];

echo json_encode($translations);
